%define version 3.0.0
%define release 0
%define pkgname	nagios-plugins-check_dir
%define srcname check_dir
%define _nagdir %{_prefix}/lib/nagios
%define _plugindir %{_nagdir}/plugins

Summary:   Nagios plugin to monitor the number of files in one or more directories.
Name:      %{pkgname}
Version:   %{version}
Release:   8.1
License:   GPL
Group:     Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source:    http://www.id.ethz.ch/people/allid_list/corti/%{srcname}-%{version}.tar.bz2
BuildArch: noarch
%if 0%{?centos_version} >= 800
BuildRequires:  perl(Module::Install)
%endif

%description
Nagios plugin to monitor the number of files in one or more directories.

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor \
    INSTALLSCRIPT=%{_plugindir} \
    INSTALLVENDORSCRIPT=%{_plugindir}
%__make
chmod -x AUTHORS Changes NEWS README INSTALL TODO COPYING

%install
%__make DESTDIR=%{buildroot} install
rm -rf %{buildroot}%{_prefix}/lib/perl5
rm -rf %{buildroot}%{_prefix}/%{_lib}/perl5
rm -rf %{buildroot}%{_datadir}/perl5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS Changes NEWS README INSTALL TODO COPYING
%dir %{_nagdir}
%dir %{_plugindir}
%attr(0755, root, root) %{_plugindir}/%{srcname}
%attr(0644, root, root) /usr/share/man/man1/%{srcname}.1*

%changelog
* Thu Jun 30 2011 cs@linux-administrator.com
- Update to version 3.0.0
